Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::v3::concepts::InvokableRelation Struct Reference
Concepts
Inheritance diagram for ranges::v3::concepts::InvokableRelation:

## Public Member Functions
template<typename Fun , typename T , typename U >
auto | requires_ (Fun &&, T &&, U &&) -> decltype(concepts::valid_expr(concepts::model_of< Relation, invokable_t< Fun >, T, U >()))
Public Member Functions inherited from ranges::v3::concepts::refines< InvokablePredicate >
void | requires_ (Ts &&...)

## Additional Inherited Members
Public Types inherited from ranges::v3::concepts::refines< InvokablePredicate >
using | base_concepts_t = meta::list< Concepts...>